Skip to main content
GET
/
wp-json
/
getmcp
/
v1
/
servers
/
{server_id}
/
tools
curl -H "Authorization: Bearer gmcp_your_api_key" \
  "https://yoursite.com/wp-json/getmcp/v1/servers/1/tools"
[
  {
    "id": 1,
    "server_id": 1,
    "name": "get_weather",
    "description": "Get current weather for a city",
    "endpoint_url": "https://wttr.in/{city}?format=j1",
    "http_method": "GET",
    "input_schema": {
      "type": "object",
      "properties": {
        "city": {
          "type": "string",
          "description": "The city name"
        }
      },
      "required": ["city"]
    },
    "auth_type": "none",
    "parameter_mapping": {
      "city": {"location": "path"}
    },
    "cache_ttl": 300,
    "timeout": 30,
    "sort_order": 0,
    "status": "active",
    "created_at": "2025-03-01T10:00:00",
    "updated_at": "2025-03-01T10:00:00"
  }
]

Path Parameters

server_id
integer
required
The numeric ID of the server whose tools to list.

Query Parameters

per_page
integer
default:"50"
Number of tools per page.
page
integer
default:"1"
Page number.
status
string
Filter by status. One of: active, paused. Leave empty for all.

Response Headers

HeaderDescription
X-WP-TotalTotal number of tools
curl -H "Authorization: Bearer gmcp_your_api_key" \
  "https://yoursite.com/wp-json/getmcp/v1/servers/1/tools"
[
  {
    "id": 1,
    "server_id": 1,
    "name": "get_weather",
    "description": "Get current weather for a city",
    "endpoint_url": "https://wttr.in/{city}?format=j1",
    "http_method": "GET",
    "input_schema": {
      "type": "object",
      "properties": {
        "city": {
          "type": "string",
          "description": "The city name"
        }
      },
      "required": ["city"]
    },
    "auth_type": "none",
    "parameter_mapping": {
      "city": {"location": "path"}
    },
    "cache_ttl": 300,
    "timeout": 30,
    "sort_order": 0,
    "status": "active",
    "created_at": "2025-03-01T10:00:00",
    "updated_at": "2025-03-01T10:00:00"
  }
]